summaryrefslogtreecommitdiffstats
path: root/src/script/check_commands.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/script/check_commands.sh
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/script/check_commands.sh')
-rwxr-xr-xsrc/script/check_commands.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/script/check_commands.sh b/src/script/check_commands.sh
new file mode 100755
index 000000000..589c3d6a6
--- /dev/null
+++ b/src/script/check_commands.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+git grep -e COMMAND\( -e COMMAND_WITH_FLAG\( | grep -o "(\"[a-zA-Z ]*\"" | grep -o "[a-zA-Z ]*" | sort | uniq > commands.txt
+missing_test=false
+good_tests=""
+bad_tests=""
+while read cmd; do
+ if git grep -q "$cmd" -- src/test qa/; then
+ good_tests="$good_tests '$cmd'"
+ else
+ echo "'$cmd' has no apparent tests"
+ missing_test=true
+ bad_tests="$bad_tests '$cmd'"
+ fi
+done < commands.txt
+
+if [ "$missing_test" == true ]; then
+ echo "Missing tests!" $bad_tests
+ exit 1;
+fi